gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget used to implement first and last pages in a druid's sequence.

A druid can be thought of as having a page that starts the sequence, one or more pages that end the sequences (there can be multiple end pages if the flow of pages diverges at some point) and some pages that are in between the start and end pages.

The widget is for the first and last pages in a druid's sequence of pages. Pages in the "middle" of a sequence should use .

Gnome.DruidPage Atk.Implementor GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` `` `` `` `` Constructs a new widget. an object of type an object of type an object of type an object of type an object of type an object of type an object of type
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of DruidPageEdge, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new widget.
  Position in druid.
  a new .
- Constructor
  Creates a new widget with the values given.
  Position in druid.
  Use an antialiased canvas.
  The title.
  The introduction text.
  The logo in the upper right corner.
  The watermark on the left.
  The top watermark.
  a new .
  It is acceptable for any of the reference values to be null.
- Property
  Gdk.Color This will set the background color. an object of type an object of type
- Property
  System.String This will set the background color. The new background color. an object of type
- Property
  Gdk.Color Sets the contents of the page's title text. The title text. an object of type
- Property
  Gdk.Color Sets the color of the background in the main text area of the page. The new textbox color. an object of type
- Property
  Gdk.Color Sets the color of the text in the body of the druid page. The new text color. an object of type
- Property
  Gdk.Pixbuf Set the color behind the druid page's logo. an object of type an object of type If , it is reset to the normal color.
- Property
  Gdk.Pixbuf Sets a as the watermark on the left strip on the druid. The to use as a watermark. an object of type If watermark is set to null, it is reset to the normal color.
- Property
  Gdk.Color Sets a as the watermark on top of the top strip on the druid. The to use as a top watermark an object of type If the top watermark is set to null, it is reset to the normal color.
- Property
  Gdk.Pixbuf Sets the color of the title text on the current page. The color of the title text. an object of type If , then no logo will be displayed.
- Property
  System.String Sets a as the logo in the top right corner. The to use as a logo. an object of type If set to null, then no logo will be displayed.
- Property
  GLib.GType Sets the contents of the text portion of the druid page. a To be added
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  To be added